#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: retry
version: 0.7.4.2
id: retry-0.7.4.2-E6erOdhQE7831rjh0wtpDA
key: retry-0.7.4.2-E6erOdhQE7831rjh0wtpDA
license: BSD3
copyright: Ozgun Ataman, Soostone Inc
maintainer: ozgun.ataman@soostone.com
homepage: http://github.com/Soostone/retry
synopsis: Retry combinators for monadic actions that may fail
description:
    This package exposes combinators that can wrap arbitrary
    monadic actions. They run the action and potentially retry
    running it with some configurable delay for a configurable
    number of times.
    The purpose is to make it easier to work with IO and
    especially network IO actions that often experience temporary
    failure and warrant retrying of the original action. For
    example, a database query may time out for a while, in which
    case we should hang back for a bit and retry the query instead
    of simply raising an exception.
category: Control
author: Ozgun Ataman
exposed: True
indefinite: False
exposed-modules:
    Control.Retry
abi: 719a2269ad01053e8fc3c9650e3b8a25
trusted: False
import-dirs: /usr/lib/ghc-8.2.1/site-local/retry-0.7.4.2
library-dirs: /usr/lib/ghc-8.2.1/site-local/retry-0.7.4.2
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.2.1/retry-0.7.4.2
hs-libraries: HSretry-0.7.4.2-E6erOdhQE7831rjh0wtpDA
depends:
    base-4.10.0.0 data-default-class-0.1.2.0-K0O6u0ifzTuLE4f7kBhgzp
    exceptions-0.8.3-BkxQoXHQAbWGd28nf3VeZ6 ghc-prim-0.5.1.0
    random-1.1-DtLcP2Z2iOOC0RwcSmXjBK transformers-0.5.2.0
abi-depends: base-4.10.0.0=835a16347ec1b210054efd02671c29ee
             data-default-class-0.1.2.0-K0O6u0ifzTuLE4f7kBhgzp=b4f1dc33e75c56b9a2dc645c2701b72a
             exceptions-0.8.3-BkxQoXHQAbWGd28nf3VeZ6=98ab8c145be258d01b7a6333e00858ed
             ghc-prim-0.5.1.0=fda2a11477a7bf13cbe78cc4c41e22f7
             random-1.1-DtLcP2Z2iOOC0RwcSmXjBK=5faba54ff6ceaac5cbd433f5aeb4a970
             transformers-0.5.2.0=2645d250dd615ce454f807270041c5ea
haddock-interfaces: /usr/share/doc/haskell-retry/html/retry.haddock
haddock-html: /usr/share/doc/haskell-retry/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

